ruby-timecop_0.8.0-1_all.deb


Advertisement

Description

ruby-timecop - Ruby library to easily test time-dependent code

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-timecop
Package version: 0.8.0
Package release: 1
Package architecture: all
Package type: deb
Installed size: 36 B
Download size: 9.45 KB
Official Mirror: archive.ubuntu.com
Timecop makes it easy to travel through or freeze time for creating a predictable and ultimately testable scenario. It is a wrapper class for manipulating the extensions to the Time, Date, and DateTime objects. It avoids overloading of functions with optional arguments while writing test cases. It is possible to nest multiple calls to Timecop.travel and Timecop.freeze, with each block maintaining concept of "now". Having no dependencies, it works with regular Ruby projects and Ruby on Rails projects.

Alternatives

    Download

    Source package: ruby-timecop

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-timecop deb package:
      # sudo apt-get install ruby-timecop

    Files

    • /usr/lib/ruby/vendor_ruby/timecop.rb
    • /usr/lib/ruby/vendor_ruby/timecop/time_extensions.rb
    • /usr/lib/ruby/vendor_ruby/timecop/time_stack_item.rb
    • /usr/lib/ruby/vendor_ruby/timecop/timecop.rb
    • /usr/lib/ruby/vendor_ruby/timecop/version.rb
    • /usr/share/doc/ruby-timecop/README.markdown.gz
    • /usr/share/doc/ruby-timecop/changelog.Debian.gz
    • /usr/share/doc/ruby-timecop/copyright
    • /usr/share/rubygems-integration/all/specifications/timecop-0.8.0.gemspec

    Changelog

    2015-09-10 - Antonio Terceiro <terceiro@debian.org> ruby-timecop (0.8.0-1) unstable; urgency=medium * Team upload * New upstream release * debian/rules: set TZ=UTC (Closes: #795663) * Refresh packaging with a new dh-make-ruby run

    2015-05-26 - Cédric Boutillier <boutil@debian.org> ruby-timecop (0.7.3-1) unstable; urgency=medium * Imported Upstream version 0.7.3 * Refresh patches * Buid-depends on ruby-minitest instead of ruby-test-unit * Bump Standards-Version to 3.9.6 (no changes needed)

    2014-08-31 - Cédric Boutillier <boutil@debian.org> ruby-timecop (0.7.1-1) unstable; urgency=medium [ Jérémy Bobbio ] * Add git-buildpackage configuration [ Cédric Boutillier ] * Imported Upstream version 0.7.1 * Add myself to the uploders * Bump Standards-Version to 3.9.5 (no changes needed) * Build-depend on ruby-test-unit (Closes: #759898) * Add autopkgtest support + prefix tests path with ./ + add fix_path_require.patch to use an absolute path to require timecop in tests, as the local lib/ directory is moved away during autopkgtest. * Do not install History.rdoc, not shipped anymore by upstream

    2013-06-23 - Jérémy Bobbio <lunar@debian.org> ruby-timecop (0.5.9-2) unstable; urgency=low * Team upload. * Add missing Build-Depends on ruby-tzinfo. (Closes: #713166) * Update project homepage URL. * Clean up boilerplate in debian/rules.

    2012-11-01 - Nandaja Varma <nandaja.varma@gmail.com> ruby-timecop (0.5.9-1) unstable; urgency=low * Initial release (Closes: #692052)

    Advertisement
    Advertisement